Skip to main content
POST
Update Beneficiary EUR

Authorizations

Authorization
string
header
required

Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....

Body

application/json

Update beneficiary

beneficiary_id
string
required
Example:

"f940wjri"

iban
string
Example:

"044444PPE4044"

account_no
string
Example:

"482ode920"

routing
string
Example:

"https://bucket.com"

bank_code
string
Example:

"05342"

countrycode
string
Example:

"BE"

recipient_kyc
object
recipient_name
string
Example:

"Kingsley"

recipient_firstname
string
Example:

"Kingsley"

recipient_lastname
string
Example:

"Kingsley"

phone_no
string
Example:

"+2415906938"

email
string
Example:

"flick@getflick.com"

beneficiary_name
string
Example:

"Kingsley"

is_domiciliary
string
Example:

"00011122233"

is_individual
string
Example:

"king"

beneficiary_address_1
string
Example:

"23 Kings Road"

beneficiary_address_2
string
Example:

"3 Kings Road"

beneficiary_city
string
Example:

"MartLand"

beneficiary_state
string
Example:

"United"

beneficiary_country
string
Example:

"united kingdom"

beneficiary_postal_code
string
Example:

"43postal"

bank_name
string
Example:

"wise"

bank_address_1
string
Example:

"3 Kings Road"

bank_address_2
string
Example:

"2B Road Front Brussels, Belgium"

bank_city
string
Example:

" Brussels"

bank_state
string
Example:

" Brussels"

bank_country
string
Example:

"belgium"

bank_postal_code
string
Example:

"43postal"

swift_code
string
Example:

"EB1XXRRWQ"

invoice_url
string
Example:

"https://bucket.com"

transfer_type
string
Example:

"sepa"

Response

Successful

message
string
Example:

"Beneficiary updated successfully"

status
integer
Example:

"200"

data
object